## org.apache.fop.layout
Class FontInfo

    java.lang.Object
      |
      +--org.apache.fop.layout.FontInfo

public class FontInfo
extends java.lang.Object

Constructor Summary
`FontInfo()`

Method Summary
`void` `addFontProperties(java.lang.String name, java.lang.String family, java.lang.String style, java.lang.String weight)`
`void` `addMetrics(java.lang.String name, FontMetric metrics)`
`java.lang.String` `fontLookup(java.lang.String family, java.lang.String style, java.lang.String weight)`
`java.util.Hashtable` `getFonts()`
`FontMetric` `getMetricsFor(java.lang.String fontName)`
`FontMetric` `getMetricsFor(java.lang.String family, java.lang.String style, java.lang.String weight)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontInfo

    public FontInfo()

Method Detail

### addFontProperties

    public void addFontProperties(java.lang.String name,
                                  java.lang.String family,
                                  java.lang.String style,
                                  java.lang.String weight)

### addMetrics

    public void addMetrics(java.lang.String name,
                           FontMetric metrics)

### fontLookup

    public java.lang.String fontLookup(java.lang.String family,
                                       java.lang.String style,
                                       java.lang.String weight)
                                throws FOPException

### getFonts

    public java.util.Hashtable getFonts()

### getMetricsFor

    public FontMetric getMetricsFor(java.lang.String fontName)
                             throws FOPException

### getMetricsFor

    public FontMetric getMetricsFor(java.lang.String family,
                                    java.lang.String style,
                                    java.lang.String weight)
                             throws FOPException

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.